=== modified file 'drizzled/plugin/loader.cc'
--- drizzled/plugin/loader.cc	2010-02-05 20:19:10 +0000
+++ drizzled/plugin/loader.cc	2010-02-10 19:49:21 +0000
@@ -256,6 +256,16 @@
   /* Find plugin by name */
   const plugin::Manifest *manifest= library->getManifest();
 
+  if (registry.find(manifest->name))
+  {
+    errmsg_printf(ERRMSG_LVL_ERROR, 
+                  _("Plugin '%s' contains the name '%s' in its manifest, which "
+                    "has already been registered.\n"),
+                  library->getName().c_str(),
+                  manifest->name);
+    return true;
+  }
+
   tmp= new (std::nothrow) plugin::Module(manifest, library);
   if (tmp == NULL)
     return true;
@@ -546,7 +556,7 @@
     if (library == NULL)
     {
       errmsg_printf(ERRMSG_LVL_ERROR,
-                    _("Couldn't load plugin library named '%s'."),
+                    _("Couldn't load plugin library named '%s'.\n"),
                     plugin_name.c_str());
       return true;
     }
@@ -556,7 +566,7 @@
     {
       registry.removeLibrary(plugin_name);
       errmsg_printf(ERRMSG_LVL_ERROR,
-                    _("Couldn't load plugin named '%s'."),
+                    _("Couldn't load plugin named '%s'.\n"),
                     plugin_name.c_str());
       return true;
 

